Bug 1553357 (CVE-2018-7711) - CVE-2018-7711 php-simplesamlphp-saml2: Authentication Bypass in the signature validation utilities
Summary: CVE-2018-7711 php-simplesamlphp-saml2: Authentication Bypass in the signature...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-7711
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180308,repor...
Keywords: Security
Depends On: 1553358 1553359
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 18:09 UTC by Pedro Sampaio
Modified: 2019-06-08 22:45 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-23 13:20:29 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-03-08 18:09:58 UTC
Affected versions of this package are vulnerable to Authentication Bypass. An incorrect check of return values in the signature validation utilities allows an attacker to get invalid signatures accepted as valid by forcing an error during validation.

Upstream patch:

https://github.com/simplesamlphp/saml2/commit/4f6af7f69f29df8555a18b9bb7b646906b45924d

References:

https://snyk.io/vuln/SNYK-PHP-SIMPLESAMLPHPSAML2-72102

Comment 1 Pedro Sampaio 2018-03-08 18:11:06 UTC
Created php-simplesamlphp-saml2 tracking bugs for this issue:

Affects: fedora-all [bug 1553358]
Affects: epel-all [bug 1553359]

Comment 2 Shawn Iwinski 2018-04-23 04:37:32 UTC
All dependent bugs are closed.  Please close.


Note You need to log in before you can comment on or make changes to this bug.